description

# TlsException class Null safety

A secure networking exception caused by a failure in the TLS/SSL protocol.

Implemented types
  - IOException
Implementers
  - CertificateException
  - HandshakeException

## Constructors

TlsException([String message = "", OSError? osError])
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String
  final
osError → OSError?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → String
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited